attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;

#ifdef GL_ES
varying mediump vec2 v_texCoord;
varying mediump vec2 v_alphaCoord;
varying vec4 v_fragmentColor;
#else
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec2 v_alphaCoord;
#endif

void main()
{
#ifdef COX_ETC1_AS_ONE_IMG
    v_texCoord = a_texCoord;
#else
    v_texCoord = a_texCoord * vec2(1.0, 0.5);
#endif
    v_alphaCoord = v_texCoord + vec2(0.0, 0.5);
    v_fragmentColor = a_color;
    gl_Position = CC_PMatrix * a_position;
}
