#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
//uniform sampler2D CC_Texture0;

void main()
{
    vec4 v4Colour = texture2D(CC_Texture0, v_texCoord);
    float c = 0.2989 * v4Colour.r + 0.5870 * v4Colour.g + 0.1140 * v4Colour.b;
    v4Colour.r = c;
    v4Colour.g = c;
    v4Colour.b = c;
	//if( ( v_texCoord.x - 0.6 ) >= v_texCoord.y  ||  ( v_texCoord.y - 0.6) >= v_texCoord.x )
	if( ( v_texCoord.x - 0.5 ) * ( v_texCoord.x - 0.5 )  + ( v_texCoord.y - 0.5 ) * ( v_texCoord.y - 0.5 )  >  0.4 * 0.4 )
	{
		v4Colour.a = 0.0;
	}
	gl_FragColor = v4Colour;
}

