#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform float COX_CLIPRADIUS;
//uniform sampler2D CC_Texture0;

void main()
{
    float dx = v_texCoord.x-0.5;
    float dy = v_texCoord.y-0.5;
    vec4 v4Colour = texture2D(CC_Texture0, v_texCoord);
#ifdef COX_RENDER_GRAY
    float c = 0.2989 * v4Colour.r + 0.5870 * v4Colour.g + 0.1140 * v4Colour.b;
    v4Colour.r = c;
    v4Colour.g = c;
    v4Colour.b = c;
#endif

    if(dx*dx+dy*dy >= COX_CLIPRADIUS)
    {
        discard;
    }
    gl_FragColor = v_fragmentColor * v4Colour;
}

