#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
//uniform sampler2D CC_Texture0;

void main()
{
	vec4 tmpColor = texture2D(CC_Texture0, v_texCoord) * v_fragmentColor;
	if( ( v_texCoord.x - 0.75 ) >= v_texCoord.y  ||  ( v_texCoord.y - 0.75) >= v_texCoord.x )
	{
		tmpColor.a = 0.0;
	}
    float c = 0.2989 * tmpColor.r + 0.5870 * tmpColor.g + 0.1140 * tmpColor.b;
    tmpColor.r = c;
    tmpColor.g = c;
    tmpColor.b = c;
    gl_FragColor = v_fragmentColor * tmpColor;
}

